<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.log.logPcs.mapper.LogPcsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="logPcsResultMap" type="org.springblade.modules.log.logPcs.entity.LogPcsEntity">
        <result column="id" property="id"/>
        <result column="gajgbm" property="gajgbm"/>
        <result column="gajgmc" property="gajgmc"/>
        <result column="jgjc" property="jgjc"/>
        <result column="gajglb" property="gajglb"/>
        <result column="gajgxz" property="gajgxz"/>
        <result column="gajgxzqh" property="gajgxzqh"/>
        <result column="rkywxzqh" property="rkywxzqh"/>
        <result column="ssdwbm" property="ssdwbm"/>
        <result column="ssdw" property="ssdw"/>
        <result column="gajgjb" property="gajgjb"/>
        <result column="bzgg" property="bzgg"/>
        <result column="sjtjjgbm" property="sjtjjgbm"/>
        <result column="sjtjjg" property="sjtjjg"/>
        <result column="dwlxdh" property="dwlxdh"/>
        <result column="pcsm" property="pcsm"/>
        <result column="pcsgllb" property="pcsgllb"/>
        <result column="pcslb" property="pcslb"/>
        <result column="pcsdj" property="pcsdj"/>
        <result column="ldys" property="ldys"/>
        <result column="fqsqk" property="fqsqk"/>
        <result column="xqmj" property="xqmj"/>
        <result column="sqsl" property="sqsl"/>
        <result column="xzcsl" property="xzcsl"/>
        <result column="zrcsl" property="zrcsl"/>
        <result column="wgsl" property="wgsl"/>
        <result column="jgsl" property="jgsl"/>
        <result column="jwssl" property="jwssl"/>
        <result column="jwzsl" property="jwzsl"/>
        <result column="hjrksl" property="hjrksl"/>
        <result column="syrks" property="syrks"/>
        <result column="syhs" property="syhs"/>
        <result column="fzr" property="fzr"/>
        <result column="dbmjrs" property="dbmjrs"/>
        <result column="symjrs" property="symjrs"/>
        <result column="xpmjrs" property="xpmjrs"/>
        <result column="sqmjrs" property="sqmjrs"/>
        <result column="zzfjrs" property="zzfjrs"/>
        <result column="jwzlrs" property="jwzlrs"/>
        <result column="bgdz" property="bgdz"/>
        <result column="dwdzjd" property="dwdzjd"/>
        <result column="dwdzwd" property="dwdzwd"/>
        <result column="pcszp" property="pcszp"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="pc" property="pc"/>
    </resultMap>


    <select id="selectLogPcsPage" resultMap="logPcsResultMap">
        select * from log_pcs where is_deleted = 0
    </select>


    <select id="exportLogPcs" resultType="org.springblade.modules.log.logPcs.excel.LogPcsExcel">
        SELECT * FROM log_pcs ${ew.customSqlSegment}
    </select>

</mapper>
